<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.3.15
Name: [3] Sekcja główna skierowania do zakładu opiekuńczego
Description: Szablon CDA dla sekcji głównej skierowania do zakładu opiekuńczego
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.3.15-2014-09-23T000000">
   <title>[3] Sekcja główna skierowania do zakładu opiekuńczego</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.15
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.15']]
Item: (plCdaReferralToCareFacilityPrescriptionsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.15']]"
         id="tmp-r-76ccb92d-871b-437e-a7f2-5ed4368b3b49">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.15-2014-09-23T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.15'])&gt;=1 and not(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.15']/@nullFlavor)">(plCdaReferralToCareFacilityPrescriptionsSection): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.15'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.15-2014-09-23T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.15'])&lt;=1">(plCdaReferralToCareFacilityPrescriptionsSection): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.15'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.15
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.15']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.15']
Item: (plCdaReferralToCareFacilityPrescriptionsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.15']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.15']"
         id="tmp-r-91be88ba-d676-4bf4-b333-bfd615adeb90">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.15-2014-09-23T000000.html"
              test="string(@classCode)='DOCSECT' or not(@classCode)">(plCdaReferralToCareFacilityPrescriptionsSection): Wartość dla @classCode MUSI wynosić 'DOCSECT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.15-2014-09-23T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaReferralToCareFacilityPrescriptionsSection): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.15-2014-09-23T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.15'] | self::hl7:id | self::hl7:code[@code='57828-6' and @codeSystem='2.16.840.1.113883.6.1' and @codeSystemName='LOINC' and @displayName='Prescriptions'] | self::hl7:title | self::hl7:text | self::hl7:entry)])">(plCdaReferralToCareFacilityPrescriptionsSection): We fragmencie dokumentu zgodnym z szablonem "[3] Sekcja główna skierowania do zakładu opiekuńczego" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.15-2014-09-23T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.15'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.15']/@nullFlavor)">(plCdaReferralToCareFacilityPrescriptionsSection): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.15'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.15-2014-09-23T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.15'])&lt;=1">(plCdaReferralToCareFacilityPrescriptionsSection): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.15'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.15-2014-09-23T000000.html"
              test="count(hl7:id)&lt;=1">(plCdaReferralToCareFacilityPrescriptionsSection): element hl7:id występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.15-2014-09-23T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(plCdaReferralToCareFacilityPrescriptionsSection): element hl7:code jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.15-2014-09-23T000000.html"
              test="count(hl7:code)&lt;=1">(plCdaReferralToCareFacilityPrescriptionsSection): element hl7:code występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.15-2014-09-23T000000.html"
              test="count(hl7:title)&lt;=1">(plCdaReferralToCareFacilityPrescriptionsSection): element hl7:title występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.15-2014-09-23T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(plCdaReferralToCareFacilityPrescriptionsSection): element hl7:text jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.15-2014-09-23T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaReferralToCareFacilityPrescriptionsSection): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.15-2014-09-23T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.9'])&gt;=1 and not(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.9']/@nullFlavor)">(plCdaReferralToCareFacilityPrescriptionsSection): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.9'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.15-2014-09-23T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.9'])&lt;=1">(plCdaReferralToCareFacilityPrescriptionsSection): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.9'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.15
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.15']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.15']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.15']
Item: (plCdaReferralToCareFacilityPrescriptionsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.15']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.15']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.15']"
         id="tmp-r-43314979-3a84-4c9e-a715-a61a381cf68d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.15-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralToCareFacilityPrescriptionsSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.15-2014-09-23T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.3.15'">(plCdaReferralToCareFacilityPrescriptionsSection): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.3.15'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.15-2014-09-23T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaReferralToCareFacilityPrescriptionsSection): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.15
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.15']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.15']/hl7:id
Item: (plCdaReferralToCareFacilityPrescriptionsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.15']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.15']/hl7:id"
         id="tmp-r-e0fb17ba-e8d7-43e4-877e-362370aa5725">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.15-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralToCareFacilityPrescriptionsSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.15
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.15']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.15']/hl7:code
Item: (plCdaReferralToCareFacilityPrescriptionsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.15']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.15']/hl7:code"
         id="tmp-r-5c625fa9-7dbe-42de-9f2d-b9d2c6870523">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.15-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralToCareFacilityPrescriptionsSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.15
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.15']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.15']/hl7:title
Item: (plCdaReferralToCareFacilityPrescriptionsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.15']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.15']/hl7:title"
         id="tmp-r-b0069be6-1f65-4c9b-a178-40f26026a73d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.15-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralToCareFacilityPrescriptionsSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ST", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.15
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.15']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.15']/hl7:text
Item: (plCdaReferralToCareFacilityPrescriptionsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.15']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.15']/hl7:text"
         id="tmp-r-c04e3a5d-6b9e-43c1-be05-50a62e5b2da2">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.3.15-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralToCareFacilityPrescriptionsSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:SD.TEXT", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
