<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.29
Name: [4] Pozycja recepty farmaceutycznej na lek gotowy
Description: Szablon CDA dla pozycji recepty farmaceutycznej na lek gotowy
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000">
   <title>[4] Pozycja recepty farmaceutycznej na lek gotowy</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.29
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']
Item: (plCdaPharmaceuticalDrugPrescriptionEntry)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']"
         id="tmp-r-f93c9393-d69a-4540-a9ab-f9fe127a0dba">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.29'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.29']/@nullFlavor)">(plCdaPharmaceuticalDrugPrescriptionEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.29'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.29'])&lt;=1">(plCdaPharmaceuticalDrugPrescriptionEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.29'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="count(hl7:substanceAdministration)&gt;=1 and not(hl7:substanceAdministration/@nullFlavor)">(plCdaPharmaceuticalDrugPrescriptionEntry): element hl7:substanceAdministration jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="count(hl7:substanceAdministration)&lt;=1">(plCdaPharmaceuticalDrugPrescriptionEntry): element hl7:substanceAdministration występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.29
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.29']
Item: (plCdaPharmaceuticalDrugPrescriptionEntry)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.29']"
         id="tmp-r-d09a097c-ebce-4e79-8d3e-cabb88de5757">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.29'">(plCdaPharmaceuticalDrugPrescriptionEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.29'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaPharmaceuticalDrugPrescriptionEntry): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.29
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration
Item: (plCdaPharmaceuticalDrugPrescriptionEntry)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration"
         id="tmp-r-c1fab506-7eda-4dce-b7a0-03517050de98">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="string(@classCode)='SBADM'">(plCdaPharmaceuticalDrugPrescriptionEntry): Wartość dla @classCode MUSI wynosić 'SBADM'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="string(@moodCode)='RQO'">(plCdaPharmaceuticalDrugPrescriptionEntry): Wartość dla @moodCode MUSI wynosić 'RQO'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaPharmaceuticalDrugPrescriptionEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="not(./*[not(self::hl7:id | self::hl7:code[@codeSystem='2.16.840.1.113883.5.4'] | self::hl7:text | self::hl7:effectiveTime | self::hl7:repeatNumber | self::hl7:approachSiteCode[@codeSystem='2.16.840.1.113883.5.1052'] | self::hl7:doseQuantity | self::hl7:rateQuantity | self::hl7:maxDoseQuantity | self::hl7:administrationUnitCode[@codeSystem='2.16.840.1.113883.5.85'] | self::hl7:consumable | self::hl7:entryRelationship[@typeCode='COMP'])])">(plCdaPharmaceuticalDrugPrescriptionEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pozycja recepty farmaceutycznej na lek gotowy" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="count(hl7:code)&lt;=1">(plCdaPharmaceuticalDrugPrescriptionEntry): element hl7:code występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaPharmaceuticalDrugPrescriptionEntry): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaPharmaceuticalDrugPrescriptionEntry): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="count(hl7:repeatNumber)&lt;=1">(plCdaPharmaceuticalDrugPrescriptionEntry): element hl7:repeatNumber występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="count(hl7:doseQuantity)&lt;=1">(plCdaPharmaceuticalDrugPrescriptionEntry): element hl7:doseQuantity występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="count(hl7:rateQuantity)&lt;=1">(plCdaPharmaceuticalDrugPrescriptionEntry): element hl7:rateQuantity występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="count(hl7:maxDoseQuantity)&lt;=1">(plCdaPharmaceuticalDrugPrescriptionEntry): element hl7:maxDoseQuantity występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="count(hl7:administrationUnitCode)&lt;=1">(plCdaPharmaceuticalDrugPrescriptionEntry): element hl7:administrationUnitCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)">(plCdaPharmaceuticalDrugPrescriptionEntry): element hl7:consumable jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="count(hl7:consumable)&lt;=1">(plCdaPharmaceuticalDrugPrescriptionEntry): element hl7:consumable występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="count(hl7:entryRelationship)&gt;=1 and not(hl7:entryRelationship/@nullFlavor)">(plCdaPharmaceuticalDrugPrescriptionEntry): element hl7:entryRelationship jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="count(hl7:entryRelationship)&lt;=1">(plCdaPharmaceuticalDrugPrescriptionEntry): element hl7:entryRelationship występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.29
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:id
Item: (plCdaPharmaceuticalDrugPrescriptionEntry)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:id"
         id="tmp-r-755a55b7-85d8-48c0-b8b3-45df23b1ada1">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescriptionEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.29
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:code
Item: (plCdaPharmaceuticalDrugPrescriptionEntry)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:code"
         id="tmp-r-df574f8f-8520-430a-8df4-f4d5f50e7dc4">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescriptionEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.3
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:text
Item: (plCdaClinicalStatementText)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:text"
         id="tmp-r-4fc341f4-f325-4530-aae7-76905bdf9d3c">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaClinicalStatementText): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ED", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="ancestor::hl7:section/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55'] and hl7:reference">(plCdaClinicalStatementText): 
                    Nie może istnieć referencja do treści w sekcji postaci binarnej dokumentu
                </report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="count(hl7:reference)&lt;=1">(plCdaClinicalStatementText): element hl7:reference występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.3
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:text/hl7:reference
Item: (plCdaClinicalStatementText)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:text/hl7:reference"
         id="tmp-r-7244472f-3eb1-4778-a3c9-e1fc02077cdd">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaClinicalStatementText): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TEL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="@value">(plCdaClinicalStatementText): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="not(@value) or string-length(@value)&gt;0">(plCdaClinicalStatementText): Atrybut @value MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="ancestor::hl7:section//*[@ID=substring(current()/@value,2)]">(plCdaClinicalStatementText): 
                        Referencja musi wskazywać na konkretny element tekstu sekcji o danym ID
                    </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.29
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:effectiveTime
Item: (plCdaPharmaceuticalDrugPrescriptionEntry)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:effectiveTime"
         id="tmp-r-0f1b7ad9-49cd-4c8a-be07-8f49f092e1b6">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PIVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescriptionEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:PIVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PIVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.29
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:repeatNumber
Item: (plCdaPharmaceuticalDrugPrescriptionEntry)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:repeatNumber"
         id="tmp-r-047dff8b-6bed-4d0e-acb0-7694eff1ff79">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescriptionEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_INT", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_INT"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.29
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:approachSiteCode
Item: (plCdaPharmaceuticalDrugPrescriptionEntry)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:approachSiteCode"
         id="tmp-r-50fda044-c63a-4a79-9723-20adb7fe3f6a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescriptionEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.29
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:doseQuantity
Item: (plCdaPharmaceuticalDrugPrescriptionEntry)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:doseQuantity"
         id="tmp-r-7137350a-71c5-441d-abee-391ff4203e7d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescriptionEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_PQ", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="not(hl7:low/@value) or matches(string(hl7:low/@value), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(plCdaPharmaceuticalDrugPrescriptionEntry): value/low @value nie jest poprawną liczbą typu PQ<value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="not(hl7:high/@value) or matches(string(hl7:high/@value), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(plCdaPharmaceuticalDrugPrescriptionEntry): value/high @value nie jest poprawną liczbą typu PQ<value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="not(hl7:center/@value) or matches(string(hl7:center/@value), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(plCdaPharmaceuticalDrugPrescriptionEntry): value/center @value nie jest poprawną liczbą typu PQ<value-of select="hl7:center/@value"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.29
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:rateQuantity
Item: (plCdaPharmaceuticalDrugPrescriptionEntry)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:rateQuantity"
         id="tmp-r-ffa4c6e9-48b0-4e78-b4a0-9a02199e2bbc">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescriptionEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_PQ", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="not(hl7:low/@value) or matches(string(hl7:low/@value), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(plCdaPharmaceuticalDrugPrescriptionEntry): value/low @value nie jest poprawną liczbą typu PQ<value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="not(hl7:high/@value) or matches(string(hl7:high/@value), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(plCdaPharmaceuticalDrugPrescriptionEntry): value/high @value nie jest poprawną liczbą typu PQ<value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="not(hl7:center/@value) or matches(string(hl7:center/@value), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(plCdaPharmaceuticalDrugPrescriptionEntry): value/center @value nie jest poprawną liczbą typu PQ<value-of select="hl7:center/@value"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.29
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:maxDoseQuantity
Item: (plCdaPharmaceuticalDrugPrescriptionEntry)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:maxDoseQuantity"
         id="tmp-r-e5c77825-7bd0-4a92-81f7-dd2ad58e4e47">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='RTO_PQ_PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescriptionEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:RTO_PQ_PQ", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="RTO_PQ_PQ"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.29
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:administrationUnitCode
Item: (plCdaPharmaceuticalDrugPrescriptionEntry)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:administrationUnitCode"
         id="tmp-r-13b1cab3-18aa-48d5-87af-87ffe3b5c774">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescriptionEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.29
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:consumable
Item: (plCdaPharmaceuticalDrugPrescriptionEntry)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:consumable"
         id="tmp-r-be8e7629-5322-4b0d-9125-8f473baccabf">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="string(@typeCode)='CSM' or not(@typeCode)">(plCdaPharmaceuticalDrugPrescriptionEntry): Wartość dla @typeCode MUSI wynosić 'CSM'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="not(./*[not(self::hl7:manufacturedProduct)])">(plCdaPharmaceuticalDrugPrescriptionEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pozycja recepty farmaceutycznej na lek gotowy" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="count(hl7:manufacturedProduct)&gt;=1 and not(hl7:manufacturedProduct/@nullFlavor)">(plCdaPharmaceuticalDrugPrescriptionEntry): element hl7:manufacturedProduct jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="count(hl7:manufacturedProduct)&lt;=1">(plCdaPharmaceuticalDrugPrescriptionEntry): element hl7:manufacturedProduct występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.29
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct
Item: (plCdaPharmaceuticalDrugPrescriptionEntry)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct"
         id="tmp-r-64ffc3b4-c057-4369-8c67-51bede2b072a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="string(@classCode)='MANU' or not(@classCode)">(plCdaPharmaceuticalDrugPrescriptionEntry): Wartość dla @classCode MUSI wynosić 'MANU'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="not(./*[not(self::hl7:id | self::hl7:manufacturedLabeledDrug)])">(plCdaPharmaceuticalDrugPrescriptionEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pozycja recepty farmaceutycznej na lek gotowy" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="count(hl7:manufacturedLabeledDrug)&gt;=1 and not(hl7:manufacturedLabeledDrug/@nullFlavor)">(plCdaPharmaceuticalDrugPrescriptionEntry): element hl7:manufacturedLabeledDrug jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="count(hl7:manufacturedLabeledDrug)&lt;=1">(plCdaPharmaceuticalDrugPrescriptionEntry): element hl7:manufacturedLabeledDrug występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.29
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:id
Item: (plCdaPharmaceuticalDrugPrescriptionEntry)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:id"
         id="tmp-r-7b0c9109-9d2c-452b-a172-b4a82bf239fc">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescriptionEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.29
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug
Item: (plCdaPharmaceuticalDrugPrescriptionEntry)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug"
         id="tmp-r-ad21e578-b621-4db6-99fe-ee52e7cb2e50">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="string(@classCode)='MMAT' or not(@classCode)">(plCdaPharmaceuticalDrugPrescriptionEntry): Wartość dla @classCode MUSI wynosić 'MMAT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="string(@determinerCode)='KIND' or not(@determinerCode)">(plCdaPharmaceuticalDrugPrescriptionEntry): Wartość dla @determinerCode MUSI wynosić 'KIND'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="not(./*[not(self::hl7:code[@displayName][(@codeSystem='2.16.840.1.113883.3.4424.6.1') or (@codeSystem='2.16.840.1.113883.3.4424.6.2')])])">(plCdaPharmaceuticalDrugPrescriptionEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pozycja recepty farmaceutycznej na lek gotowy" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(plCdaPharmaceuticalDrugPrescriptionEntry): element hl7:code jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="count(hl7:code)&lt;=1">(plCdaPharmaceuticalDrugPrescriptionEntry): element hl7:code występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.29
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug/hl7:code
Item: (plCdaPharmaceuticalDrugPrescriptionEntry)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug/hl7:code"
         id="tmp-r-29666c42-c80a-4727-88fe-fd0c2c2d0232">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescriptionEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="@displayName">(plCdaPharmaceuticalDrugPrescriptionEntry): atrybut @displayName MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(plCdaPharmaceuticalDrugPrescriptionEntry): Atrybut @displayName MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.29
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:entryRelationship
Item: (plCdaPharmaceuticalDrugPrescriptionEntry)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:entryRelationship"
         id="tmp-r-74bf57e8-a9dc-4742-8693-ac28036a21e7">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="string(@typeCode)='COMP'">(plCdaPharmaceuticalDrugPrescriptionEntry): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plCdaPharmaceuticalDrugPrescriptionEntry): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="not(./*[not(self::hl7:supply[@classCode='SPLY' and @moodCode='RQO'])])">(plCdaPharmaceuticalDrugPrescriptionEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pozycja recepty farmaceutycznej na lek gotowy" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="count(hl7:supply)&gt;=1 and not(hl7:supply/@nullFlavor)">(plCdaPharmaceuticalDrugPrescriptionEntry): element hl7:supply jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="count(hl7:supply)&lt;=1">(plCdaPharmaceuticalDrugPrescriptionEntry): element hl7:supply występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.29
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:entryRelationship/hl7:supply
Item: (plCdaPharmaceuticalDrugPrescriptionEntry)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:entryRelationship/hl7:supply"
         id="tmp-r-94036419-f9c4-49fb-8e45-0751aacf1b86">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="string(@classCode)='SPLY'">(plCdaPharmaceuticalDrugPrescriptionEntry): Wartość dla @classCode MUSI wynosić 'SPLY'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaPharmaceuticalDrugPrescriptionEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="string(@moodCode)='RQO'">(plCdaPharmaceuticalDrugPrescriptionEntry): Wartość dla @moodCode MUSI wynosić 'RQO'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaPharmaceuticalDrugPrescriptionEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="not(./*[not(self::hl7:id | self::hl7:effectiveTime | self::hl7:priorityCode[@code='UR' and @codeSystem='2.16.840.1.113883.5.7'] | self::hl7:independentInd[@value='false'] | self::hl7:quantity[@value] | self::hl7:product)])">(plCdaPharmaceuticalDrugPrescriptionEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pozycja recepty farmaceutycznej na lek gotowy" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(plCdaPharmaceuticalDrugPrescriptionEntry): element hl7:effectiveTime jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaPharmaceuticalDrugPrescriptionEntry): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="count(hl7:priorityCode)&lt;=1">(plCdaPharmaceuticalDrugPrescriptionEntry): element hl7:priorityCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="count(hl7:independentInd)&gt;=1 and not(hl7:independentInd/@nullFlavor)">(plCdaPharmaceuticalDrugPrescriptionEntry): element hl7:independentInd jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="count(hl7:independentInd)&lt;=1">(plCdaPharmaceuticalDrugPrescriptionEntry): element hl7:independentInd występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="count(hl7:quantity)&gt;=1 and not(hl7:quantity/@nullFlavor)">(plCdaPharmaceuticalDrugPrescriptionEntry): element hl7:quantity jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="count(hl7:quantity)&lt;=1">(plCdaPharmaceuticalDrugPrescriptionEntry): element hl7:quantity występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="count(hl7:product)&lt;=1">(plCdaPharmaceuticalDrugPrescriptionEntry): element hl7:product występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.29
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:entryRelationship/hl7:supply/hl7:id
Item: (plCdaPharmaceuticalDrugPrescriptionEntry)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:entryRelationship/hl7:supply/hl7:id"
         id="tmp-r-a7833608-25de-44fb-b85a-f4faaab2c80e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescriptionEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.29
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:entryRelationship/hl7:supply/hl7:effectiveTime
Item: (plCdaPharmaceuticalDrugPrescriptionEntry)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:entryRelationship/hl7:supply/hl7:effectiveTime"
         id="tmp-r-b1ca877a-cc6f-4b3e-bdfb-c81be96ec410">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescriptionEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="/hl7:ClinicalDocument/hl7:effectiveTime/@value &lt;= @value">(plCdaPharmaceuticalDrugPrescriptionEntry): 
                                Data zleconego wydania leku (data realizacji recepty) musi być równa lub późniejsza od daty wystawienia dokumentu
                            </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.29
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:entryRelationship/hl7:supply/hl7:priorityCode
Item: (plCdaPharmaceuticalDrugPrescriptionEntry)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:entryRelationship/hl7:supply/hl7:priorityCode"
         id="tmp-r-edb51951-79d6-4aab-ae81-9216ecfb376b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescriptionEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.29
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:entryRelationship/hl7:supply/hl7:independentInd
Item: (plCdaPharmaceuticalDrugPrescriptionEntry)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:entryRelationship/hl7:supply/hl7:independentInd"
         id="tmp-r-aa765326-a20c-49dd-a7f9-c7bfb9c6fba2">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescriptionEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:BL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="string(@value)='false'">(plCdaPharmaceuticalDrugPrescriptionEntry): Wartość dla @value MUSI wynosić 'false'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="not(@value) or string(@value)=('true','false')">(plCdaPharmaceuticalDrugPrescriptionEntry): Atrybut @value MUSI być typu 'bl'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.29
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:entryRelationship/hl7:supply/hl7:quantity
Item: (plCdaPharmaceuticalDrugPrescriptionEntry)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:entryRelationship/hl7:supply/hl7:quantity"
         id="tmp-r-d26412af-a1f2-43c7-b421-4a085de7b744">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescriptionEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:PQ", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="$digitok or @nullFlavor">(plCdaPharmaceuticalDrugPrescriptionEntry): @value nie jest poprawną liczbą typu PQ <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(plCdaPharmaceuticalDrugPrescriptionEntry): value/@unit (PQ) MUSI mieć poprawną jednostkę UCUM (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="@value">(plCdaPharmaceuticalDrugPrescriptionEntry): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="not(@value) or matches(string(@value), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(plCdaPharmaceuticalDrugPrescriptionEntry): Atrybut @value nie jest porawną liczbą typu real <value-of select="$theValue"/>
      </assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="not(@unit)">(plCdaPharmaceuticalDrugPrescriptionEntry): atrybut @unit NIE MOŻE wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="not(@unit) or (string-length(@unit)&gt;0 and not(matches(@unit,'\s')))">(plCdaPharmaceuticalDrugPrescriptionEntry): Atrybut @unit MUSI być typu 'cs'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.29
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:entryRelationship/hl7:supply/hl7:product
Item: (plCdaPharmaceuticalDrugPrescriptionEntry)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:entryRelationship/hl7:supply/hl7:product"
         id="tmp-r-004fd662-1ec2-48f7-977c-7ee0fdc0f357">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="string(@typeCode)='PRD' or not(@typeCode)">(plCdaPharmaceuticalDrugPrescriptionEntry): Wartość dla @typeCode MUSI wynosić 'PRD'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="not(./*[not(self::hl7:manufacturedProduct)])">(plCdaPharmaceuticalDrugPrescriptionEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pozycja recepty farmaceutycznej na lek gotowy" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="count(hl7:manufacturedProduct)&gt;=1 and not(hl7:manufacturedProduct/@nullFlavor)">(plCdaPharmaceuticalDrugPrescriptionEntry): element hl7:manufacturedProduct jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="count(hl7:manufacturedProduct)&lt;=1">(plCdaPharmaceuticalDrugPrescriptionEntry): element hl7:manufacturedProduct występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.29
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:entryRelationship/hl7:supply/hl7:product/hl7:manufacturedProduct
Item: (plCdaPharmaceuticalDrugPrescriptionEntry)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:entryRelationship/hl7:supply/hl7:product/hl7:manufacturedProduct"
         id="tmp-r-150e2b3c-531f-496f-ab2d-61e499eee56b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="string(@classCode)='MANU' or not(@classCode)">(plCdaPharmaceuticalDrugPrescriptionEntry): Wartość dla @classCode MUSI wynosić 'MANU'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="not(./*[not(self::hl7:id | self::hl7:manufacturedLabeledDrug)])">(plCdaPharmaceuticalDrugPrescriptionEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pozycja recepty farmaceutycznej na lek gotowy" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="count(hl7:manufacturedLabeledDrug)&gt;=1 and not(hl7:manufacturedLabeledDrug/@nullFlavor)">(plCdaPharmaceuticalDrugPrescriptionEntry): element hl7:manufacturedLabeledDrug jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="count(hl7:manufacturedLabeledDrug)&lt;=1">(plCdaPharmaceuticalDrugPrescriptionEntry): element hl7:manufacturedLabeledDrug występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.29
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:entryRelationship/hl7:supply/hl7:product/hl7:manufacturedProduct/hl7:id
Item: (plCdaPharmaceuticalDrugPrescriptionEntry)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:entryRelationship/hl7:supply/hl7:product/hl7:manufacturedProduct/hl7:id"
         id="tmp-r-ccf597d8-e4c2-4a0b-8893-e10eda42d6f3">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescriptionEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.29
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:entryRelationship/hl7:supply/hl7:product/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug
Item: (plCdaPharmaceuticalDrugPrescriptionEntry)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:entryRelationship/hl7:supply/hl7:product/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug"
         id="tmp-r-17aabe7e-e72e-4893-a3af-ed15ff395383">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="string(@classCode)='MMAT' or not(@classCode)">(plCdaPharmaceuticalDrugPrescriptionEntry): Wartość dla @classCode MUSI wynosić 'MMAT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="string(@determinerCode)='KIND' or not(@determinerCode)">(plCdaPharmaceuticalDrugPrescriptionEntry): Wartość dla @determinerCode MUSI wynosić 'KIND'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="not(./*[not(self::hl7:code[@codeSystem='1.3.160' and @codeSystemName='GS1'])])">(plCdaPharmaceuticalDrugPrescriptionEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pozycja recepty farmaceutycznej na lek gotowy" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(plCdaPharmaceuticalDrugPrescriptionEntry): element hl7:code jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="count(hl7:code)&lt;=1">(plCdaPharmaceuticalDrugPrescriptionEntry): element hl7:code występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.29
Context: *[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:entryRelationship/hl7:supply/hl7:product/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug/hl7:code
Item: (plCdaPharmaceuticalDrugPrescriptionEntry)
-->

   <rule context="*[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.29']/hl7:substanceAdministration/hl7:entryRelationship/hl7:supply/hl7:product/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug/hl7:code"
         id="tmp-r-07ea8829-35de-4d70-9c45-73016769c6e8">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.29-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaPharmaceuticalDrugPrescriptionEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
