<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.35
Name: [4] Pielęgniarska skala oceny ADL
Description: Szablon CDA dla pielęgniarskiej skali oceny ADL
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000">
   <title>[4] Pielęgniarska skala oceny ADL</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]"
         id="tmp-r-ca9563e7-00ba-46b6-b85e-69bfb2e893f5">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35'])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']"
         id="tmp-r-85f7adc0-ed3d-47fd-9bf7-a84916c8b803">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(plCdaNursingAdlAssesmentEntry): Wartość dla @classCode MUSI wynosić 'OBS'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="string(@moodCode)='EVN'">(plCdaNursingAdlAssesmentEntry): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaNursingAdlAssesmentEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.35'] | self::hl7:id | self::hl7:code[@code='SADL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2' and @codeSystemName='Słownik nazw skal ocen pielęgniarskich' and @displayName='ADL - Samodzielność pacjenta w zakresie podstawowych czynności życiowych'] | self::hl7:text | self::hl7:statusCode[@code='completed'] | self::hl7:effectiveTime | self::hl7:value[@code='10028224' or @code='10000956'][@xsi:type='CD'][@codeSystem='2.16.840.1.113883.6.97'] | self::hl7:value[@code='10028708' or @code='10000987'][@xsi:type='CD'][@codeSystem='2.16.840.1.113883.6.97'] | self::hl7:value[@code='10028333' or @code='10001046'][@xsi:type='CD'][@codeSystem='2.16.840.1.113883.6.97'] | self::hl7:value[@code='10028322' or @code='10001005'][@xsi:type='CD'][@codeSystem='2.16.840.1.113883.6.97'] | self::hl7:value[@code='10028314' or @code='10000994'][@xsi:type='CD'][@codeSystem='2.16.840.1.113883.6.97'] | self::hl7:value[@code='10029240' or @code='10001067'][@xsi:type='CD'][@codeSystem='2.16.840.1.113883.6.97'] | self::hl7:value[@code='10028253' or @code='10000973'][@xsi:type='CD'][@codeSystem='2.16.840.1.113883.6.97'])])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.35'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.35']/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.35'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.35'])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.35'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:code jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:code)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:code występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:statusCode)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:statusCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:value[@code='10028224' or @code='10000956'])&gt;=1 and not(hl7:value[@code='10028224' or @code='10000956']/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028224' or @code='10000956'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:value[@code='10028224' or @code='10000956'])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028224' or @code='10000956'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:value[@code='10028708' or @code='10000987'])&gt;=1 and not(hl7:value[@code='10028708' or @code='10000987']/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028708' or @code='10000987'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:value[@code='10028708' or @code='10000987'])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028708' or @code='10000987'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:value[@code='10028333' or @code='10001046'])&gt;=1 and not(hl7:value[@code='10028333' or @code='10001046']/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028333' or @code='10001046'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:value[@code='10028333' or @code='10001046'])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028333' or @code='10001046'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:value[@code='10028322' or @code='10001005'])&gt;=1 and not(hl7:value[@code='10028322' or @code='10001005']/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028322' or @code='10001005'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:value[@code='10028322' or @code='10001005'])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028322' or @code='10001005'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:value[@code='10028314' or @code='10000994'])&gt;=1 and not(hl7:value[@code='10028314' or @code='10000994']/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028314' or @code='10000994'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:value[@code='10028314' or @code='10000994'])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028314' or @code='10000994'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:value[@code='10029240' or @code='10001067'])&gt;=1 and not(hl7:value[@code='10029240' or @code='10001067']/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10029240' or @code='10001067'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:value[@code='10029240' or @code='10001067'])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10029240' or @code='10001067'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:value[@code='10028253' or @code='10000973'])&gt;=1 and not(hl7:value[@code='10028253' or @code='10000973']/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028253' or @code='10000973'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:value[@code='10028253' or @code='10000973'])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028253' or @code='10000973'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.35']
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.35']"
         id="tmp-r-9d76c19c-2f88-4aa1-8d0b-ea1201f3e7bc">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.35'">(plCdaNursingAdlAssesmentEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.35'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:id
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:id"
         id="tmp-r-a1d070ff-2e7b-4222-963d-5734c2b66677">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:code
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:code"
         id="tmp-r-563c8ddd-ce0e-4c3a-acfd-929fe4766f49">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.3
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:text
Item: (plCdaClinicalStatementText)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:text"
         id="tmp-r-bca60888-c9b8-4892-9703-28e7eadff2eb">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaClinicalStatementText): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ED", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="ancestor::hl7:section/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.55'] and hl7:reference">(plCdaClinicalStatementText): 
                    Nie może istnieć referencja do treści w sekcji postaci binarnej dokumentu
                </report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="count(hl7:reference)&lt;=1">(plCdaClinicalStatementText): element hl7:reference występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.3
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:text/hl7:reference
Item: (plCdaClinicalStatementText)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:text/hl7:reference"
         id="tmp-r-cd5225a1-ab0d-45a3-9b1f-0358226f6cf1">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaClinicalStatementText): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TEL", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="@value">(plCdaClinicalStatementText): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="not(@value) or string-length(@value)&gt;0">(plCdaClinicalStatementText): Atrybut @value MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.7.3-2017-01-02T000000.html"
              test="ancestor::hl7:section//*[@ID=substring(current()/@value,2)]">(plCdaClinicalStatementText): 
                        Referencja musi wskazywać na konkretny element tekstu sekcji o danym ID
                    </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:statusCode
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:statusCode"
         id="tmp-r-13d4aa2e-5c84-4a0e-99ac-f62dc3c22fbe">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:effectiveTime
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:effectiveTime"
         id="tmp-r-afde6dd2-a800-4626-b77f-f1e5088ea309">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028224' or @code='10000956']
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028224' or @code='10000956']"
         id="tmp-r-6888baaa-dacc-460f-a9dc-41891100b755">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="not(./*[not(self::hl7:qualifier)])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:qualifier)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028224' or @code='10000956']/hl7:qualifier
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028224' or @code='10000956']/hl7:qualifier"
         id="tmp-r-94b29bc3-745f-4a95-9242-09e46a56e158">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="not(./*[not(self::hl7:name[@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @codeSystemName='Słownik wartości dla skali ADL' and @displayName='Samodzielność pacjenta'] | self::hl7:value[@codeSystem='2.16.840.1.113883.3.4424.13.5.3.1'])])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:name jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:name)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:name występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:value)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028224' or @code='10000956']/hl7:qualifier/hl7:name
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028224' or @code='10000956']/hl7:qualifier/hl7:value
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028708' or @code='10000987']
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028708' or @code='10000987']"
         id="tmp-r-03d1e523-8e49-4a79-90b6-e64ebe66f7ac">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="not(./*[not(self::hl7:qualifier)])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:qualifier)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028708' or @code='10000987']/hl7:qualifier
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028708' or @code='10000987']/hl7:qualifier"
         id="tmp-r-525e8e38-4d6a-42dd-8de8-a88191f4c581">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="not(./*[not(self::hl7:name[@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @codeSystemName='Słownik wartości dla skali ADL' and @displayName='Samodzielność pacjenta'] | self::hl7:value[@codeSystem='2.16.840.1.113883.3.4424.13.5.3.1'])])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:name jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:name)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:name występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:value)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028708' or @code='10000987']/hl7:qualifier/hl7:name
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028708' or @code='10000987']/hl7:qualifier/hl7:value
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028333' or @code='10001046']
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028333' or @code='10001046']"
         id="tmp-r-884d704d-d9c9-4a0a-9775-afa0bfb4d0ef">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="not(./*[not(self::hl7:qualifier)])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:qualifier)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028333' or @code='10001046']/hl7:qualifier
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028333' or @code='10001046']/hl7:qualifier"
         id="tmp-r-7e35d1a4-5b82-4a43-9717-e377f8e12ad4">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="not(./*[not(self::hl7:name[@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @codeSystemName='Słownik wartości dla skali ADL' and @displayName='Samodzielność pacjenta'] | self::hl7:value[@codeSystem='2.16.840.1.113883.3.4424.13.5.3.1'])])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:name jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:name)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:name występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:value)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028333' or @code='10001046']/hl7:qualifier/hl7:name
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028333' or @code='10001046']/hl7:qualifier/hl7:value
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028322' or @code='10001005']
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028322' or @code='10001005']"
         id="tmp-r-5671e011-30ab-41a8-9626-905d05fa9d23">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="not(./*[not(self::hl7:qualifier)])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:qualifier)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028322' or @code='10001005']/hl7:qualifier
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028322' or @code='10001005']/hl7:qualifier"
         id="tmp-r-3ae03ad6-dba0-43d2-bd9d-30e51502fd98">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="not(./*[not(self::hl7:name[@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @codeSystemName='Słownik wartości dla skali ADL' and @displayName='Samodzielność pacjenta'] | self::hl7:value[@codeSystem='2.16.840.1.113883.3.4424.13.5.3.1'])])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:name jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:name)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:name występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:value)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028322' or @code='10001005']/hl7:qualifier/hl7:name
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028322' or @code='10001005']/hl7:qualifier/hl7:value
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028314' or @code='10000994']
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028314' or @code='10000994']"
         id="tmp-r-d873e676-e6a3-470a-868f-f56e6dafb82e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="not(./*[not(self::hl7:qualifier)])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:qualifier)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028314' or @code='10000994']/hl7:qualifier
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028314' or @code='10000994']/hl7:qualifier"
         id="tmp-r-a21f45fc-cfe0-4cf8-8fd8-7e6cf270be93">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="not(./*[not(self::hl7:name[@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @codeSystemName='Słownik wartości dla skali ADL' and @displayName='Samodzielność pacjenta'] | self::hl7:value[@codeSystem='2.16.840.1.113883.3.4424.13.5.3.1'])])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:name jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:name)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:name występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:value)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028314' or @code='10000994']/hl7:qualifier/hl7:name
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028314' or @code='10000994']/hl7:qualifier/hl7:value
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10029240' or @code='10001067']
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10029240' or @code='10001067']"
         id="tmp-r-a96ddfb5-62d0-4603-80d6-78e69f604d08">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="not(./*[not(self::hl7:qualifier)])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:qualifier)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10029240' or @code='10001067']/hl7:qualifier
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10029240' or @code='10001067']/hl7:qualifier"
         id="tmp-r-34b2016f-2bda-4b58-96f0-1b0f6513819d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="not(./*[not(self::hl7:name[@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @codeSystemName='Słownik wartości dla skali ADL' and @displayName='Samodzielność pacjenta'] | self::hl7:value[@codeSystem='2.16.840.1.113883.3.4424.13.5.3.1'])])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:name jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:name)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:name występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:value)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10029240' or @code='10001067']/hl7:qualifier/hl7:name
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10029240' or @code='10001067']/hl7:qualifier/hl7:value
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028253' or @code='10000973']
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028253' or @code='10000973']"
         id="tmp-r-50ed13f1-cd27-4d1c-9c95-9f0ab74a3122">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="not(./*[not(self::hl7:qualifier)])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:qualifier)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028253' or @code='10000973']/hl7:qualifier
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028253' or @code='10000973']/hl7:qualifier"
         id="tmp-r-bec539d6-277c-41b7-8a3f-3275beb40c5b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="not(./*[not(self::hl7:name[@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @codeSystemName='Słownik wartości dla skali ADL' and @displayName='Samodzielność pacjenta'] | self::hl7:value[@codeSystem='2.16.840.1.113883.3.4424.13.5.3.1'])])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:name jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:name)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:name występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2017-01-02T000000.html"
              test="count(hl7:value)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028253' or @code='10000973']/hl7:qualifier/hl7:name
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028253' or @code='10000973']/hl7:qualifier/hl7:value
Item: (plCdaNursingAdlAssesmentEntry)
-->
</pattern>
