<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.4
Name: [4] Zamiana leku
Description: Szablon CDA dla zamiany leku
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.4-2014-09-23T000000">
   <title>[4] Zamiana leku</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.4
Context: *[extPL:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.4']]
Item: (extPLDrugSubstitution)
-->

   <rule context="*[extPL:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.4']]"
         id="tmp-r-e62fef3e-06f0-42fe-8d4e-93fd27d91c48">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.4-2014-09-23T000000.html"
              test="count(extPL:component)&lt;=1">(extPLDrugSubstitution): element extPL:component występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.4
Context: *[extPL:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.4']]/extPL:component
Item: (extPLDrugSubstitution)
-->

   <rule context="*[extPL:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.4']]/extPL:component"
         id="tmp-r-6bbb9fbc-b375-4144-9561-060f7db6fe95">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.4-2014-09-23T000000.html"
              test="string(@typeCode)='COMP'">(extPLDrugSubstitution): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.4-2014-09-23T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(extPLDrugSubstitution): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.4-2014-09-23T000000.html"
              test="not(./*[not(self::extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.4'] | self::extPL:substitution[@classCode='SUBST' and @moodCode='RQO'])])">(extPLDrugSubstitution): We fragmencie dokumentu zgodnym z szablonem "[4] Zamiana leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.4-2014-09-23T000000.html"
              test="count(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.4'])&gt;=1 and not(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.4']/@nullFlavor)">(extPLDrugSubstitution): element extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.4'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.4-2014-09-23T000000.html"
              test="count(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.4'])&lt;=1">(extPLDrugSubstitution): element extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.4'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.4-2014-09-23T000000.html"
              test="count(extPL:substitution)&gt;=1 and not(extPL:substitution/@nullFlavor)">(extPLDrugSubstitution): element extPL:substitution jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.4-2014-09-23T000000.html"
              test="count(extPL:substitution)&lt;=1">(extPLDrugSubstitution): element extPL:substitution występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.4
Context: *[extPL:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.4']]/extPL:component/extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.4']
Item: (extPLDrugSubstitution)
-->

   <rule context="*[extPL:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.4']]/extPL:component/extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.4']"
         id="tmp-r-6e812e16-9561-4dea-92bb-2209bb8113b4">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.4-2014-09-23T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.4'">(extPLDrugSubstitution): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.4'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.4-2014-09-23T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(extPLDrugSubstitution): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.4
Context: *[extPL:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.4']]/extPL:component/extPL:substitution
Item: (extPLDrugSubstitution)
-->

   <rule context="*[extPL:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.4']]/extPL:component/extPL:substitution"
         id="tmp-r-2c202699-ed18-41be-9ff2-1f76f7fe369e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.4-2014-09-23T000000.html"
              test="string(@classCode)='SUBST'">(extPLDrugSubstitution): Wartość dla @classCode MUSI wynosić 'SUBST'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.4-2014-09-23T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(extPLDrugSubstitution): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.4-2014-09-23T000000.html"
              test="string(@moodCode)='RQO'">(extPLDrugSubstitution): Wartość dla @moodCode MUSI wynosić 'RQO'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.4-2014-09-23T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(extPLDrugSubstitution): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.4-2014-09-23T000000.html"
              test="not(./*[not(self::extPL:code[@code='N' and @codeSystem='2.16.840.1.113883.5.4'])])">(extPLDrugSubstitution): We fragmencie dokumentu zgodnym z szablonem "[4] Zamiana leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.4-2014-09-23T000000.html"
              test="count(extPL:code)&gt;=1 and not(extPL:code/@nullFlavor)">(extPLDrugSubstitution): element extPL:code jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.4-2014-09-23T000000.html"
              test="count(extPL:code)&lt;=1">(extPLDrugSubstitution): element extPL:code występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.4
Context: *[extPL:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.4']]/extPL:component/extPL:substitution/extPL:code
Item: (extPLDrugSubstitution)
-->

   <rule context="*[extPL:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.4']]/extPL:component/extPL:substitution/extPL:code"
         id="tmp-r-672ad84c-d81e-4677-9ccc-69d4691e2c0b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.4-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(extPLDrugSubstitution): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
