<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.5
Name: [4] Poziom refundacji leku
Description: Szablon CDA dla poziomu refundacji leku
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.5-2014-09-23T000000">
   <title>[4] Poziom refundacji leku</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.5
Context: *[extPL:coverage[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.5']]
Item: (extPLDrugPaymentLevel)
-->

   <rule context="*[extPL:coverage[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.5']]"
         id="tmp-r-cbaceee9-f32d-4744-8f67-8e9ab270d638">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.5-2014-09-23T000000.html"
              test="count(extPL:coverage)&lt;=1">(extPLDrugPaymentLevel): element extPL:coverage występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.5
Context: *[extPL:coverage[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.5']]/extPL:coverage
Item: (extPLDrugPaymentLevel)
-->

   <rule context="*[extPL:coverage[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.5']]/extPL:coverage"
         id="tmp-r-0acbab04-a201-405c-940d-81fc710a8f6c">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.5-2014-09-23T000000.html"
              test="string(@typeCode)='COVBY'">(extPLDrugPaymentLevel): Wartość dla @typeCode MUSI wynosić 'COVBY'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.5-2014-09-23T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(extPLDrugPaymentLevel): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.5-2014-09-23T000000.html"
              test="not(./*[not(self::extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.5'] | self::extPL:coveragePlan[@classCode='COV' and @moodCode='EVN'])])">(extPLDrugPaymentLevel): We fragmencie dokumentu zgodnym z szablonem "[4] Poziom refundacji leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.5-2014-09-23T000000.html"
              test="count(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.5'])&gt;=1 and not(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.5']/@nullFlavor)">(extPLDrugPaymentLevel): element extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.5'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.5-2014-09-23T000000.html"
              test="count(extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.5'])&lt;=1">(extPLDrugPaymentLevel): element extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.5'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.5-2014-09-23T000000.html"
              test="count(extPL:coveragePlan)&gt;=1 and not(extPL:coveragePlan/@nullFlavor)">(extPLDrugPaymentLevel): element extPL:coveragePlan jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.5-2014-09-23T000000.html"
              test="count(extPL:coveragePlan)&lt;=1">(extPLDrugPaymentLevel): element extPL:coveragePlan występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.5
Context: *[extPL:coverage[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.5']]/extPL:coverage/extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.5']
Item: (extPLDrugPaymentLevel)
-->

   <rule context="*[extPL:coverage[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.5']]/extPL:coverage/extPL:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.5']"
         id="tmp-r-f96f4313-bda4-4fe4-abb3-2bde0e2aa4a7">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.5-2014-09-23T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.5'">(extPLDrugPaymentLevel): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.5'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.5-2014-09-23T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(extPLDrugPaymentLevel): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.5
Context: *[extPL:coverage[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.5']]/extPL:coverage/extPL:coveragePlan
Item: (extPLDrugPaymentLevel)
-->

   <rule context="*[extPL:coverage[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.5']]/extPL:coverage/extPL:coveragePlan"
         id="tmp-r-17c89963-406e-4c62-a8dd-ee93fab8f68d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.5-2014-09-23T000000.html"
              test="string(@classCode)='COV'">(extPLDrugPaymentLevel): Wartość dla @classCode MUSI wynosić 'COV'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.5-2014-09-23T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(extPLDrugPaymentLevel): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.5-2014-09-23T000000.html"
              test="string(@moodCode)='EVN'">(extPLDrugPaymentLevel): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.5-2014-09-23T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(extPLDrugPaymentLevel): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.5-2014-09-23T000000.html"
              test="not(./*[not(self::extPL:code[@code='PUBLICPOL' and @codeSystem='2.16.840.1.113883.5.4'])])">(extPLDrugPaymentLevel): We fragmencie dokumentu zgodnym z szablonem "[4] Poziom refundacji leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.5-2014-09-23T000000.html"
              test="count(extPL:code)&gt;=1 and not(extPL:code/@nullFlavor)">(extPLDrugPaymentLevel): element extPL:code jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.5-2014-09-23T000000.html"
              test="count(extPL:code)&lt;=1">(extPLDrugPaymentLevel): element extPL:code występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.5
Context: *[extPL:coverage[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.5']]/extPL:coverage/extPL:coveragePlan/extPL:code
Item: (extPLDrugPaymentLevel)
-->

   <rule context="*[extPL:coverage[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.5']]/extPL:coverage/extPL:coveragePlan/extPL:code"
         id="tmp-r-41b96132-fd13-4d73-927a-d6ac4db209e1">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.5-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(extPLDrugPaymentLevel): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.5-2014-09-23T000000.html"
              test="not(./*[not(self::hl7:qualifier)])">(extPLDrugPaymentLevel): We fragmencie dokumentu zgodnym z szablonem "[4] Poziom refundacji leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.5-2014-09-23T000000.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(extPLDrugPaymentLevel): element hl7:qualifier jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.5-2014-09-23T000000.html"
              test="count(hl7:qualifier)&lt;=1">(extPLDrugPaymentLevel): element hl7:qualifier występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.5
Context: *[extPL:coverage[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.5']]/extPL:coverage/extPL:coveragePlan/extPL:code/hl7:qualifier
Item: (extPLDrugPaymentLevel)
-->

   <rule context="*[extPL:coverage[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.5']]/extPL:coverage/extPL:coveragePlan/extPL:code/hl7:qualifier"
         id="tmp-r-579cda2a-a9d5-46c0-b159-50335e4a7276">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.5-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(extPLDrugPaymentLevel): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CR", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CR"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.5-2014-09-23T000000.html"
              test="not(./*[not(self::hl7:name[@code='RLPO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @codeSystemName='PolskieKlasyfikatoryHL7v3' and @displayName='Poziomy odpłatności leków refundowanych'] | self::hl7:value[@codeSystem='2.16.840.1.113883.3.4424.11.1.1'])])">(extPLDrugPaymentLevel): We fragmencie dokumentu zgodnym z szablonem "[4] Poziom refundacji leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.5-2014-09-23T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(extPLDrugPaymentLevel): element hl7:name jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.5-2014-09-23T000000.html"
              test="count(hl7:name)&lt;=1">(extPLDrugPaymentLevel): element hl7:name występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.5-2014-09-23T000000.html"
              test="count(hl7:value)&gt;=1 ">(extPLDrugPaymentLevel): element hl7:value jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.5-2014-09-23T000000.html"
              test="count(hl7:value)&lt;=1">(extPLDrugPaymentLevel): element hl7:value występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.5
Context: *[extPL:coverage[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.5']]/extPL:coverage/extPL:coveragePlan/extPL:code/hl7:qualifier/hl7:name
Item: (extPLDrugPaymentLevel)
-->

   <rule context="*[extPL:coverage[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.5']]/extPL:coverage/extPL:coveragePlan/extPL:code/hl7:qualifier/hl7:name"
         id="tmp-r-613e652e-41cd-4945-acc5-c163e8648033">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.5-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(extPLDrugPaymentLevel): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CV", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.5
Context: *[extPL:coverage[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.5']]/extPL:coverage/extPL:coveragePlan/extPL:code/hl7:qualifier/hl7:value
Item: (extPLDrugPaymentLevel)
-->

   <rule context="*[extPL:coverage[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.5']]/extPL:coverage/extPL:coveragePlan/extPL:code/hl7:qualifier/hl7:value"
         id="tmp-r-5f86371a-7ebb-4cff-8e27-8765e73a9cb4">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.5-2014-09-23T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(extPLDrugPaymentLevel): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.5-2014-09-23T000000.html"
              test="string(@nullFlavor)='UNK' or not(@nullFlavor)">(extPLDrugPaymentLevel): Wartość dla @nullFlavor MUSI wynosić 'UNK'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-20170107T223946/tmp-2.16.840.1.113883.3.4424.13.10.4.5-2014-09-23T000000.html"
              test="not(@nullFlavor) or (string-length(@nullFlavor)&gt;0 and not(matches(@nullFlavor,'\s')))">(extPLDrugPaymentLevel): Atrybut @nullFlavor MUSI być typu 'cs'</assert>
   </rule>
</pattern>
